{% extends 'configuration/basic_settings/basic_settings_configuration.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/basic_settings/wms/choose_layers') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/basic_settings/wms/choose_layers') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('configuration_basic_settings_wms_overview') }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Grundeinstellungen</span>
        {{ form_widget(chooseLayersForm.save, {'label': 'EBENEN HINZUFÜGEN', 'id': chooseLayersForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto delete-button align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            <h2 class="mb-3 fs-3">WMS-Layer</h2>
            <p>
                Die nachfolgenden Ebenen stehen in dem von Ihnen angegebenen WMS-Dienst zur Verfügung. Bitte wählen Sie aus, welche Ebenen Sie in LeAn® einbinden möchten.
            </p>
            {{ form_start(chooseLayersForm, {'attr': {'id': chooseLayersForm.vars.id ~ '_form'}}) }}
            {% include 'configuration/form/basic_settings/wms/choose_layers_form.html.twig' with {'form': chooseLayersForm} only %}
            {{ form_row(chooseLayersForm._token) }}
            {{ form_end(chooseLayersForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
